{
  "name": "energy-consumption",
  "private": true,
  "version": "0.0.0",
  "type": "module",
  "scripts": {
    "dev": "vite",
    "build": "tsc && vite build",
    "lint": "eslint . --ext ts,tsx --report-unused-disable-directives --max-warnings 0 --fix",
    "format": "prettier --write \"src/**/*.{js,ts,tsx,jsx}\"",
    "preview": "vite preview",
    "test": "vitest"
  },
  "dependencies": {
    "@dnd-kit/core": "^6.1.0",
    "@dnd-kit/sortable": "^8.0.0",
    "@dnd-kit/utilities": "^3.2.2",
    "@mantine/core": "7.5.3",
    "@mantine/form": "^7.6.0",
    "@mantine/hooks": "^7.5.3",
    "apexcharts": "3.46.0",
    "react": "18.2.0",
    "react-apexcharts": "1.4.1",
    "react-dom": "18.2.0",
    "react-icons": "^5.0.1"
  },
  "devDependencies": {
    "@testing-library/dom": "9.3.4",
    "@testing-library/jest-dom": "6.4.2",
    "@testing-library/react": "14.2.1",
    "@testing-library/user-event": "14.5.2",
    "@types/jest": "^29.5.12",
    "@types/node": "20.11.19",
    "@types/react": "18.2.55",
    "@types/react-dom": "18.2.19",
    "@typescript-eslint/eslint-plugin": "7.0.1",
    "@typescript-eslint/parser": "7.0.1",
    "@vitejs/plugin-react": "4.2.1",
    "eslint": "8.56.0",
    "eslint-config-prettier": "9.1.0",
    "eslint-plugin-react": "7.33.2",
    "eslint-plugin-react-hooks": "4.6.0",
    "eslint-plugin-react-refresh": "0.4.5",
    "husky": "9.0.11",
    "jsdom": "24.0.0",
    "lint-staged": "15.2.2",
    "postcss": "^8.4.35",
    "postcss-preset-mantine": "1.13.0",
    "postcss-simple-vars": "7.0.1",
    "prettier": "3.2.5",
    "typescript": "5.2.2",
    "vite": "5.1.3",
    "vite-plugin-svgr": "4.2.0",
    "vitest": "1.3.0"
  },
  "lint-staged": {
    "src/**/*.{js,jsx,ts,tsx}": [
      "eslint --fix",
      "vitest"
    ]
  }
}
